Subject: bug#67875: closed (Re: xwayland security updates, to mesa- or core-updates or ?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Jan 2024 17:26:01 +0000

Your bug report

#67875: Request for merging "mesa-updates" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67875: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67875
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: xwayland security updates, to mesa- or core-updates or ?
From: John Kehayias <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: Vivien Kraus <[email-masked]>, Maxim Cournoyer <[email-masked]>, Liliana Marie Prikler <[email-masked]>, [email-masked], guix-devel <[email-masked]>, Kaelyn <[email-masked]>
Date: Mon, 08 Jan 2024 17:24:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 08, 2024 at 10:32 AM, Efraim Flashner wrote:

> On Mon, Jan 08, 2024 at 05:43:40AM +0000, John Kehayias wrote:
>> Hi all,
>>
>> Forgive the top post and please see below/previous messages for
>> previous updates.
>>
>> TL;DR: I plan to merge mesa-updates into master today-ish (well,
>> tomorrow for me at this point).
>>
>> I've been checking in with Efraim who's been very helpful at trying to
>> nudge along substitute coverage on non-x86_64 platforms. Unfortunately
>> looks like we have plateaued a bit on, e.g., aarch64. We haven't been
>> getting stats from QA for this round, and Berlin looks good for what
>> it covers (x86) but other architectures are down from what we can
>> tell.
>>
>> I don't think there are any fundamental failures at this point but
>> just lots of "missing derivation" errors (I've restarted so many
>> manually for x86_64/i686) and builds not completing without restarts.
>> Or unknown reasons. Given the few weeks I've given this and the risk
>> of just perpetually doing rebuilds to keep catching up (with then more
>> updates to push) I think it would be best to merge to master. Mesa and
>> other bits will continue to move forward as well, so I think it is
>> time so we can be somewhat timely.
>>
>> I'd rather not without complete substitute coverage, but given recent
>> build farm difficulties, and the tools we do have for users (pinning,
>> weather checks, etc.) I think it is best to call this branch so we can
>> move on. Gnome has some updates that will need (re)building as well as
>> trying to move forward with core-updates now too.
>>
>> This is a case where having some better sense of our users and actual
>> substitute needs/wants would be helpful (yes, Guix survey!) as well as
>> recognizing our current infrastructure limits. Here's another vote for
>> prioritizing infrastructure and making sure QA lives and expands.
>>
>> Feel free to object to this merge timing, though with the relative
>> silence in each previous message I take it I can make a call here.
>>
>> Thanks everyone and hope 2024 is off to a good start! Enjoy the new
>> mesa with curl and xwayland security updates (no new grafts!).
>
> To record here more or less what I said on IRC, we're currently at
> rust-1.56 or 1.57 on the mesa-teams branch, and we're looking at
> probably more than a week to build out to rust itself, and then the
> packages which depend on it.  Currently, on master, Berlin already is
> running behind on building rust, and it wasn't until after the previous
> mesa-updates merge that it caught up with building rust.

Thanks again for your help and watchful eye on this Efraim!

Merged in 7a7c8920aeddaf9ab8d68c572780bc34b404711b.

Thanks everyone, apologies for anyone that needs to wait for
substitutes. Feel free to CC me directly on any breakages due to this
merge but hopefully I didn't miss anything major.

John

Subject: request for merging mesa-updates
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 18 Dec 2023 05:55:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

As mentioned on guix-devel,
<https://lists.gnu.org/r/guix-devel/2023-12/msg00158.html>, this is a
hopefully quick branch to update mesa (new stable release as current
one we have ended up without updates) and get security updates for
xorg-server-xwayland, via <https://issues.guix.gnu.org/67136>.

That requires a newer xorgproto which rebuilds (most of) the world. As
with libx11 ungrafting, this is due mostly to python as far as I can
tell, via the tk dependency. Unfortunately, it seems that can't be
easily separated out:
<https://lists.gnu.org/r/guix-devel/2023-12/msg00165.html>

Anyway, there are currently those 3 commits (mesa, xorgproto,
xorg-server-xwayland) building away. I'm seeing lots of builds
"failing" with "missing derivation" which I've been manually
restarting. The biggest real failure I've spotted just clicking around
on Cuirass is gtk on i686-linux. A test fails and I have no idea why
and don't see how to disable just that test so far. I tried to see
about updating glib and gtk from the gnome branch to see if that fixes
it, but it required too much local building so far. So, that is one to
keep an eye out. At least the dependencies number around 100.

Still waiting to hear from other people about current branches for
what the order will be in merging, but figured I'd get things building
either way with the CI looking idle.

Thanks!
John

(this message may have gone out earlier from a different address,
please ignore/I'll close that one if it appears later)